> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/deploy/serverless/video-inference/api-reference.md).

# API संदर्भ

Video Inference API का उपयोग Roboflow Python SDK और REST API के माध्यम से किया जा सकता है।

### Base URL

API निम्नलिखित URL का उपयोग करता है:

```
https://api.roboflow.com
```

### API Methods

हम वीडियो inference को roboflow Pip package के माध्यम से एक्सेस करने की अत्यधिक अनुशंसा करते हैं।\
\
raw Video Inference API at `https://api.roboflow.com` के तीन methods हैं:

<table><thead><tr><th>METHOD</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td><code>POST</code> <code>/video_upload_signed_url/?api_key={{WORKSPACE_API_KEY}}</code></td><td><p>यह endpoint एक signed URL लौटाता है, जहाँ उपयोगकर्ता वीडियो अपलोड कर सकता है।<br><br>यह endpoint filename के साथ एक JSON input स्वीकार करता है, जैसे कि</p><pre><code>{
    "file_name": "my_video_file.mp4"
}
</code></pre><p>एक signed URL लौटाई जाती है</p><pre class="language-json"><code class="lang-json">{
    "signed_url": "URL"
}
</code></pre><p><br>फिर आप अपने पसंदीदा upload program (जैसे cURL) का उपयोग करके अपने video file को signed URL पर PUT कर सकते हैं।</p><pre class="language-bash"><code class="lang-bash">curl -X PUT "my_signed_url" \
-H "Content-Type: application/octet-stream" \
--data-binary "@your_video.mp4"
</code></pre></td></tr><tr><td><code>POST</code> <code>/videoinfer/?api_key={{WORKSPACE_API_KEY}}</code></td><td><p>यह endpoint processing के लिए video inference job schedule करने हेतु एक json input स्वीकार करता है। ध्यान दें कि INPUT_URL कोई भी publicly available URL हो सकता है; आपको पहले signed URL बनाने और फिर Roboflow पर video upload करने की आवश्यकता नहीं है।</p><p>request के body को दिखाने वाला एक उदाहरण नीचे दिया गया है:</p><pre><code>{
    "input_url": "{{INPUT_URL}}",
    "infer_fps": 5,
    "models": [
        {
            "model_id": "rock-paper-scissors-presentation",
            "model_version": "4",
            "inference_type": "object-detection",
            "inference_params": {"confidence": 0.4}
        }
    ]
}
</code></pre><p>कृपया ध्यान दें कि <code>models[*].inference_params</code> वैकल्पिक है।</p><p>response एक JSON string है, जैसे कि</p><pre class="language-json"><code class="lang-json">{
    "job_id": "fec28362-f7d9-4cc0-a805-5e94495d063d",
    "message": "यह endpoint videojob बनाएगा"
}
</code></pre><p><br>आप <code>models</code> array में multiple models निर्दिष्ट कर सकते हैं। <code>infer_fps</code> field कम से कम <code>1</code> पर सेट होना चाहिए और इसका मान video frame-rate से अधिक नहीं होना चाहिए। अधिकांश use-cases के लिए, video frame rate <code>infer_fps</code> .</p></td></tr><tr><td><code>GET</code> <code>/videoinfer/?api_key={{WORKSPACE_API_KEY}}&#x26;job_id={{JOB_ID}}</code></td><td>यह endpoint job की वर्तमान स्थिति लौटाता है। यह endpoint rate-limited है, कृपया इस endpoint को प्रति मिनट एक बार से अधिक poll न करें।<br><br>जब job सफल हो जाती है, तब returned JSON की <code>status</code> key 0 पर सेट होती है, और <code>output_signed_url</code> key में video inference results के लिए download link होता है।<br><br>यदि <code>status</code> को 1 पर सेट किया जाता है, तो यह संकेत देता है कि job processing अभी पूरी नहीं हुई है। इससे बड़े किसी भी मान का अर्थ job failure है।</td></tr><tr><td></td><td></td></tr></tbody></table>

एक बार जब आपने `output_signed_url` location से stored JSON file डाउनलोड कर ली है, तो आप inference जानकारी प्राप्त करने के लिए इसे parse कर सकते हैं। json file का format है [यहाँ वर्णित](https://inference.roboflow.com/workflows/definitions/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-hi/deploy/serverless/video-inference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
